Skip to main content

Update a folder

Updates the specified folder by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

name
string
Name of the folder.
visibility
enum
Visibility of the folder. One of private, internal, shared.
description
string
Description of the folder.

Returns​

Returns the folder object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/folders/{id}
curl -X PUT https://{workspace}.kitchen.co/api/folders/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"created_at": "2024-03-12T14:18:37+00:00",
"id": "fo_19b9108c92d98f81224ece44",
"name": "New Folder",
"description": null,
"updated_at": "2024-03-12T14:18:37+00:00",
"visibility": "shared"
}